### Interface

# EvinceDocument AnnotationMarkup

#### Description

    interface EvinceDocument.AnnotationMarkup : EvinceDocument.Annotation

No description available.

#### Prerequisite

In order to implement AnnotationMarkup, your type must inherit from `EvAnnotation`.

#### Implementations

- EvAnnotationAttachment
- EvAnnotationText
- EvAnnotationTextMarkup

#### Instance methods

###### ev_annotation_markup_can_have_popup

No description available.

###### ev_annotation_markup_get_label

No description available.

###### ev_annotation_markup_get_opacity

No description available.

###### ev_annotation_markup_get_popup_is_open

No description available.

###### ev_annotation_markup_get_rectangle

No description available.

###### ev_annotation_markup_has_popup

No description available.

###### ev_annotation_markup_set_has_popup

No description available.

###### ev_annotation_markup_set_label

No description available.

###### ev_annotation_markup_set_opacity

No description available.

###### ev_annotation_markup_set_popup_is_open

No description available.

###### ev_annotation_markup_set_rectangle

No description available.

#### Properties

###### EvinceDocument.AnnotationMarkup:can-have-popup

No description available.

###### EvinceDocument.AnnotationMarkup:has-popup

No description available.

###### EvinceDocument.AnnotationMarkup:label

No description available.

###### EvinceDocument.AnnotationMarkup:opacity

No description available.

###### EvinceDocument.AnnotationMarkup:popup-is-open

No description available.

###### EvinceDocument.AnnotationMarkup:rectangle

No description available.

#### Interface structure

    struct EvinceDocumentAnnotationMarkupInterface {
      /* no available fields */
    }